Create Topic
curl --request POST \
--url https://api-prod.voltai.ai/source/api/topics/ \
--header 'Content-Type: application/json' \
--cookie sessionid= \
--data '
{
"name": "<string>",
"topic_path": [
"<string>"
],
"parent_topic_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_published": true,
"description": "<string>",
"is_popular": true,
"is_default": true
}
'import requests
url = "https://api-prod.voltai.ai/source/api/topics/"
payload = {
"name": "<string>",
"topic_path": ["<string>"],
"parent_topic_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_published": True,
"description": "<string>",
"is_popular": True,
"is_default": True
}
headers = {
"cookie": "sessionid=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'sessionid=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
topic_path: ['<string>'],
parent_topic_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_published: true,
description: '<string>',
is_popular: true,
is_default: true
})
};
fetch('https://api-prod.voltai.ai/source/api/topics/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"sub_topics": "<string>",
"path": "<string>",
"part_markdown": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_popular": true,
"is_default": true,
"is_published": true
}Topics
Create Topic
Create a new topic, or create from a single root-to-leaf topic_path.
POST
/
topics
/
Create Topic
Authorizations
cookieAuthApiKeyAuth
Query Parameters
Organization name (required for multi-tenant API keys)
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request schema for topic create or create-from-path behavior.
Name of the topic
Minimum string length:
1Single root-to-leaf topic path. If provided, missing topics are created along the path.
Minimum string length:
1UUID of parent topic (null for root topics). Used for single-topic create.
Whether the topic is published
Topic description
Whether the topic is popular
Whether the topic is default
⌘I